package main

import (
	"log"

	"github.com/spf13/viper"
	"maunium.net/go/mautrix/id"
)

func main() {
	viper.AddConfigPath(".")
	err := viper.ReadInConfig()
	if err != nil {
		log.Fatalf("Fatal error config file: %v \n", err)
	}
	viper.SetConfigType("yaml")
	homeserver := viper.GetString("homeserver")
	homeserverDomain := viper.GetString("homeserverDomain")
	viper.SetDefault("domain", homeserver)
	username := viper.GetString("username")
	password := viper.GetString("password")

	dealer := &Dealer{
		RoomsList:        make(map[id.RoomID]*Match),
		PlayerRooms:      make(map[id.UserID]id.RoomID),
		Client:           nil,
		HomeserverDomain: homeserverDomain,
		QueueRoom:        "",
	}
	dealer.ConnectToMatrix(homeserver, username, password)
	//create room #tomequeue:homeserver
	dealer.SetupRooms(homeserverDomain)
	err = dealer.Client.Sync()
	if err != nil {
		panic(err)
	}
}
